<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php

	global $allowed_html;
	$contactinfoShow = esc_attr( reduxbiz_options('contactinfo_show') );
	$contactinfoTitle = wp_kses_post( reduxbiz_options('contactinfo_heading') );
	$contactinfoText = wp_kses_post( reduxbiz_options('contactinfo_text', '') );
	$contactinfoEmail = esc_html( reduxbiz_options('contactinfo_email', '') );
	$contactinfoPhone = esc_html( reduxbiz_options('contactinfo_phone', '') );
	$contactinfoMap = wp_kses_post( reduxbiz_options('contactinfo_map', '') );
	$contactinfoStyle = esc_attr( reduxbiz_options('contactinfo_style') );
	$contactinfoImageID = esc_attr( reduxbiz_options('contactinfo_image') );
	
	if ($contactinfoStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($contactinfoShow == 'on'): ?>

<?php if ( ($contactinfoText !='') || ($contactinfoMap !='')) : ?>
<article class="hentry home-panel home-contactinfo <?php echo $bgClass; ?>" <?php if($contactinfoImageID!=''){ reduxbiz_background_image($contactinfoImageID); } ?>>

	<div class="hentry-wrapper">

		<header class="entry-header">

		     <?php if ( $contactinfoTitle != '' ) :?>
			<h4 class="entry-title"><?php echo $contactinfoTitle; ?></h4>
			<?php endif; ?>

		     <?php if ( ( $contactinfoText != '' ) || ( $contactinfoPhone != '' ) || ( $contactinfoEmail != '' )) :?>
				<div class="contact-text">
					<p><?php echo $contactinfoText; ?></p>
				     <?php if ( $contactinfoPhone != '' ) :?>
					<a href="tel:<?php echo $contactinfoPhone; ?>" class="button"><span class="genericon genericon-handset"></span><?php echo $contactinfoPhone; ?></a>
					<?php endif; ?>
				     <?php if ( $contactinfoEmail != '' && is_email($contactinfoEmail) ) :?>
					  <a href="mailto:<?php echo esc_attr( antispambot( $contactinfoEmail ) ); ?>" class="button"><span class="genericon genericon-mail"></span><?php echo esc_attr( antispambot( $contactinfoEmail ) ); ?></a>
					<?php endif; ?>
			</div>
			<?php endif; ?>

		</header><!-- .entry-header -->

				
	     <?php if ( $contactinfoMap != '' ) :?>
		<div class="entry-content">
			<div class="contact-map"><?php echo do_shortcode( $contactinfoMap ); ?></div>
		</div>
		<?php endif; ?>
	

		<div class="clear"></div>

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>
<?php endif; ?>