<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php

	global $allowed_html;
	$teamShow = esc_attr( reduxbiz_options('team_show') );
	$teamTitle = wp_kses_post( reduxbiz_options('team_heading') );
	$teamText = wp_kses_post( reduxbiz_options('team_text', '') );
	$teamImageID = esc_attr ( reduxbiz_options('team_image') );
	$teamStyle = esc_attr( reduxbiz_options('team_style') );
	
	if ($teamStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($teamShow == 'on'): ?>

<article class="hentry home-panel home-team <?php echo $bgClass; ?>" <?php if ($teamImageID !='') { reduxbiz_background_image($teamImageID); } ?>>

	<div class="hentry-wrapper">


		<?php if ( ( $teamTitle != '' ) || ( $teamText != '' ) ) :?>
			<header class="entry-header">

				<?php if ( $teamTitle != '' ) :?>
					<h2  class="entry-title"><?php echo $teamTitle; ?></h2>
				<?php endif; ?>
				
				<?php if ( $teamText != '' ) :?>
					<?php echo $teamText; ?>
				<?php endif; ?>

			</header><!-- .entry-header -->
		<?php endif; ?>

		<div class="entry-content">
			
		<div class="team column-2">

		<?php
			//Define the Number of Testimonials Required
			$teammember_number = 4;
			
			$i = 1;
			$shown = 0;
			
			while ($i <= $teammember_number) {
			
				$teammemberPageID = esc_attr(reduxbiz_options('teammember'.$i) );

				if ( $teammemberPageID != '' ){ 
				
					$teammemberLink = get_page_link( $teammemberPageID);
					$teammemberImage = get_the_post_thumbnail( $teammemberPageID,'reduxbiz-big-thumb');
					$teammemberName = get_the_title( $teammemberPageID);

					$shown++;
					
					if(reduxbiz_checkEven($shown) === true){
					  $teamClass = 'column-entry-first-item-row';
					}else{
					  $teamClass = 'column-entry-last-item-row';
					}
					
					?>
					
					<div class="testimonial-entry column-entry-column-2 <?php echo $teamClass; ?>">

						<?php 

							if ( has_post_thumbnail($teammemberPageID ) ) {
								echo '<p><a href="' . $teammemberLink . '">'. $teammemberImage .'</a></p>';
							}
						?>

						<h3 class="team-name">
							<?php
								echo '<a href="' . $teammemberLink . '">' . $teammemberName . '</a>';
							?>
						</h3>
						
						<div class="team-entry-content">

							<?php
								$page = get_post($teammemberPageID);
								$excerpt = $page->post_content;;
								echo wp_trim_words($excerpt, 40); 
							?>
							
						</div>					

						<p class="team-social alignright"><a href="<?php echo $teammemberLink; ?>"><?php _e('more &raquo;','reduxbiz'); ?></a></p>
	
					</div><!-- close .team-entry -->
				<?php }
			
				$i++;
			
			}
		?>
		
		</div><!-- .team -->

		</div><!-- .entry-content -->

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>